import mods.metatweaker.Factory;

var MinecraftDungeonsBlocks = mods.metatweaker.Factory.createCreativeTab("Minecraft Dungeons Blocks", "minecraft:grass").register();

var DecorativeBlocks1 = Factory.createBlock("DecorativeBlocks1", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("Minecraft Dungeons Blocks")
    .setHardness(4)
    .setResistance(6)
    .setHarvest("pickaxe")
    .setHarvestLevel(2)
    .setMaxStackSize(64)
    .addSubtype("DecorativeBlocks_0", "metatweaker:decorative_blocks/0")
	.addSubtype("DecorativeBlocks_1", "metatweaker:decorative_blocks/1")
	.addSubtype("DecorativeBlocks_2", "metatweaker:decorative_blocks/2")
	.addSubtype("DecorativeBlocks_3", "metatweaker:decorative_blocks/3")
	.addSubtype("DecorativeBlocks_4", "metatweaker:decorative_blocks/4")
	.addSubtype("DecorativeBlocks_5", "metatweaker:decorative_blocks/5")
	.addSubtype("DecorativeBlocks_6", "metatweaker:decorative_blocks/6")
	.addSubtype("DecorativeBlocks_7", "metatweaker:decorative_blocks/7")
	.addSubtype("DecorativeBlocks_8", "metatweaker:decorative_blocks/8")
	.addSubtype("DecorativeBlocks_9", "metatweaker:decorative_blocks/9")
	.addSubtype("DecorativeBlocks_10", "metatweaker:decorative_blocks/10")
	.addSubtype("DecorativeBlocks_11", "metatweaker:decorative_blocks/11")
	.addSubtype("DecorativeBlocks_12", "metatweaker:decorative_blocks/12")
	.addSubtype("DecorativeBlocks_13", "metatweaker:decorative_blocks/13")
	.addSubtype("DecorativeBlocks_14", "metatweaker:decorative_blocks/14")
	.addSubtype("DecorativeBlocks_15", "metatweaker:decorative_blocks/15")
    .register();

var DecorativeBlocks2 = Factory.createBlock("DecorativeBlocks2", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("Minecraft Dungeons Blocks")
    .setHardness(4)
    .setResistance(6)
    .setHarvest("pickaxe")
    .setHarvestLevel(2)
    .setMaxStackSize(64)
	.addSubtype("DecorativeBlocks_16", "metatweaker:decorative_blocks/16")
	.addSubtype("DecorativeBlocks_17", "metatweaker:decorative_blocks/17")
	.addSubtype("DecorativeBlocks_18", "metatweaker:decorative_blocks/18")
	.addSubtype("DecorativeBlocks_19", "metatweaker:decorative_blocks/19")
	.addSubtype("DecorativeBlocks_20", "metatweaker:decorative_blocks/20")
	.addSubtype("DecorativeBlocks_21", "metatweaker:decorative_blocks/21")
	.addSubtype("DecorativeBlocks_22", "metatweaker:decorative_blocks/22")
	.addSubtype("DecorativeBlocks_23", "metatweaker:decorative_blocks/23")
	.addSubtype("DecorativeBlocks_24", "metatweaker:decorative_blocks/24")
	.addSubtype("DecorativeBlocks_25", "metatweaker:decorative_blocks/25")
	.addSubtype("DecorativeBlocks_26", "metatweaker:decorative_blocks/26")
	.addSubtype("DecorativeBlocks_27", "metatweaker:decorative_blocks/27")
	.addSubtype("DecorativeBlocks_28", "metatweaker:decorative_blocks/28")
	.addSubtype("DecorativeBlocks_29", "metatweaker:decorative_blocks/29")
	.addSubtype("DecorativeBlocks_30", "metatweaker:decorative_blocks/30")
	.addSubtype("DecorativeBlocks_31", "metatweaker:decorative_blocks/31")
    .register();

var DecorativeBlocks3 = Factory.createBlock("DecorativeBlocks3", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("Minecraft Dungeons Blocks")
    .setHardness(4)
    .setResistance(6)
    .setHarvest("pickaxe")
    .setHarvestLevel(2)
    .setMaxStackSize(64)
	.addSubtype("DecorativeBlocks_32", "metatweaker:decorative_blocks/32")
	.addSubtype("DecorativeBlocks_33", "metatweaker:decorative_blocks/33")
	.addSubtype("DecorativeBlocks_34", "metatweaker:decorative_blocks/34")
	.addSubtype("DecorativeBlocks_35", "metatweaker:decorative_blocks/35")
	.addSubtype("DecorativeBlocks_36", "metatweaker:decorative_blocks/36")
	.addSubtype("DecorativeBlocks_37", "metatweaker:decorative_blocks/37")
	.addSubtype("DecorativeBlocks_38", "metatweaker:decorative_blocks/38")
	.addSubtype("DecorativeBlocks_39", "metatweaker:decorative_blocks/39")
	.addSubtype("DecorativeBlocks_40", "metatweaker:decorative_blocks/40")
	.addSubtype("DecorativeBlocks_41", "metatweaker:decorative_blocks/41")
	.addSubtype("DecorativeBlocks_42", "metatweaker:decorative_blocks/42")
	.addSubtype("DecorativeBlocks_43", "metatweaker:decorative_blocks/43")
	.addSubtype("DecorativeBlocks_44", "metatweaker:decorative_blocks/44")
	.addSubtype("DecorativeBlocks_45", "metatweaker:decorative_blocks/45")
	.addSubtype("DecorativeBlocks_46", "metatweaker:decorative_blocks/46")
	.addSubtype("DecorativeBlocks_47", "metatweaker:decorative_blocks/47")
    .register();

var DecorativeBlocks4 = Factory.createBlock("DecorativeBlocks4", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("Minecraft Dungeons Blocks")
    .setHardness(4)
    .setResistance(6)
    .setHarvest("pickaxe")
    .setHarvestLevel(2)
    .setMaxStackSize(64)
	.addSubtype("DecorativeBlocks_48", "metatweaker:decorative_blocks/48")
	.addSubtype("DecorativeBlocks_49", "metatweaker:decorative_blocks/49")
	.addSubtype("DecorativeBlocks_50", "metatweaker:decorative_blocks/50")
	.addSubtype("DecorativeBlocks_52", "metatweaker:decorative_blocks/52")
	.addSubtype("DecorativeBlocks_53", "metatweaker:decorative_blocks/53")
	.addSubtype("DecorativeBlocks_54", "metatweaker:decorative_blocks/54")
	.addSubtype("DecorativeBlocks_55", "metatweaker:decorative_blocks/55")
	.addSubtype("DecorativeBlocks_56", "metatweaker:decorative_blocks/56")
	.addSubtype("DecorativeBlocks_57", "metatweaker:decorative_blocks/57")
	.addSubtype("DecorativeBlocks_58", "metatweaker:decorative_blocks/58")
	.addSubtype("DecorativeBlocks_59", "metatweaker:decorative_blocks/59")
	.addSubtype("DecorativeBlocks_60", "metatweaker:decorative_blocks/60")
	.addSubtype("DecorativeBlocks_61", "metatweaker:decorative_blocks/61")
	.addSubtype("DecorativeBlocks_62", "metatweaker:decorative_blocks/62")
	.addSubtype("DecorativeBlocks_63", "metatweaker:decorative_blocks/63")
	.addSubtype("DecorativeBlocks_64", "metatweaker:decorative_blocks/64")
    .register();

var DecorativeBlocks5 = Factory.createBlock("DecorativeBlocks5", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("Minecraft Dungeons Blocks")
    .setHardness(4)
    .setResistance(6)
    .setHarvest("pickaxe")
    .setHarvestLevel(2)
    .setMaxStackSize(64)
	.addSubtype("DecorativeBlocks_65", "metatweaker:decorative_blocks/65")
	.addSubtype("DecorativeBlocks_66", "metatweaker:decorative_blocks/66")
	.addSubtype("DecorativeBlocks_67", "metatweaker:decorative_blocks/67")
	.addSubtype("DecorativeBlocks_68", "metatweaker:decorative_blocks/68")
	.addSubtype("DecorativeBlocks_69", "metatweaker:decorative_blocks/69")
	.addSubtype("DecorativeBlocks_70", "metatweaker:decorative_blocks/70")
	.addSubtype("DecorativeBlocks_72", "metatweaker:decorative_blocks/72")
	.addSubtype("DecorativeBlocks_73", "metatweaker:decorative_blocks/73")
	.addSubtype("DecorativeBlocks_74", "metatweaker:decorative_blocks/74")
	.addSubtype("DecorativeBlocks_75", "metatweaker:decorative_blocks/75")
	.addSubtype("DecorativeBlocks_76", "metatweaker:decorative_blocks/76")
	.addSubtype("DecorativeBlocks_77", "metatweaker:decorative_blocks/77")
	.addSubtype("DecorativeBlocks_78", "metatweaker:decorative_blocks/78")
	.addSubtype("DecorativeBlocks_79", "metatweaker:decorative_blocks/79")
	.addSubtype("DecorativeBlocks_80", "metatweaker:decorative_blocks/80")
	.addSubtype("DecorativeBlocks_81", "metatweaker:decorative_blocks/81")
    .register();

var DecorativeBlocks6 = Factory.createBlock("DecorativeBlocks6", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("Minecraft Dungeons Blocks")
    .setHardness(4)
    .setResistance(6)
    .setHarvest("pickaxe")
    .setHarvestLevel(2)
    .setMaxStackSize(64)
	.addSubtype("DecorativeBlocks_82", "metatweaker:decorative_blocks/82")
	.addSubtype("DecorativeBlocks_83", "metatweaker:decorative_blocks/83")
	.addSubtype("DecorativeBlocks_84", "metatweaker:decorative_blocks/84")
	.addSubtype("DecorativeBlocks_85", "metatweaker:decorative_blocks/85")
	.addSubtype("DecorativeBlocks_86", "metatweaker:decorative_blocks/86")
	.addSubtype("DecorativeBlocks_87", "metatweaker:decorative_blocks/87")
	.addSubtype("DecorativeBlocks_88", "metatweaker:decorative_blocks/88")
	.addSubtype("DecorativeBlocks_89", "metatweaker:decorative_blocks/89")
	.addSubtype("DecorativeBlocks_90", "metatweaker:decorative_blocks/90")
	.addSubtype("DecorativeBlocks_91", "metatweaker:decorative_blocks/91")
	.addSubtype("DecorativeBlocks_92", "metatweaker:decorative_blocks/92")
	.addSubtype("DecorativeBlocks_93", "metatweaker:decorative_blocks/93")
	.addSubtype("DecorativeBlocks_94", "metatweaker:decorative_blocks/94")
	.addSubtype("DecorativeBlocks_95", "metatweaker:decorative_blocks/95")
	.addSubtype("DecorativeBlocks_96", "metatweaker:decorative_blocks/96")
	.addSubtype("DecorativeBlocks_97", "metatweaker:decorative_blocks/97")
    .register();

var DecorativeBlocks7 = Factory.createBlock("DecorativeBlocks7", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("Minecraft Dungeons Blocks")
    .setHardness(4)
    .setResistance(6)
    .setHarvest("pickaxe")
    .setHarvestLevel(2)
    .setMaxStackSize(64)
	.addSubtype("DecorativeBlocks_98", "metatweaker:decorative_blocks/98")
	.addSubtype("DecorativeBlocks_99", "metatweaker:decorative_blocks/99")
	.addSubtype("DecorativeBlocks_100", "metatweaker:decorative_blocks/100")
	.addSubtype("DecorativeBlocks_101", "metatweaker:decorative_blocks/101")
	.addSubtype("DecorativeBlocks_102", "metatweaker:decorative_blocks/102")
	.addSubtype("DecorativeBlocks_103", "metatweaker:decorative_blocks/103")
	.addSubtype("DecorativeBlocks_104", "metatweaker:decorative_blocks/104")
	.addSubtype("DecorativeBlocks_105", "metatweaker:decorative_blocks/105")
	.addSubtype("DecorativeBlocks_106", "metatweaker:decorative_blocks/106")
	.addSubtype("DecorativeBlocks_107", "metatweaker:decorative_blocks/107")
	.addSubtype("DecorativeBlocks_108", "metatweaker:decorative_blocks/108")
	.addSubtype("DecorativeBlocks_109", "metatweaker:decorative_blocks/109")
	.addSubtype("DecorativeBlocks_110", "metatweaker:decorative_blocks/110")
	.addSubtype("DecorativeBlocks_111", "metatweaker:decorative_blocks/111")
	.addSubtype("DecorativeBlocks_112", "metatweaker:decorative_blocks/112")
	.addSubtype("DecorativeBlocks_113", "metatweaker:decorative_blocks/113")
    .register();

var DecorativeBlocks8 = Factory.createBlock("DecorativeBlocks8", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("Minecraft Dungeons Blocks")
    .setHardness(4)
    .setResistance(6)
    .setHarvest("pickaxe")
    .setHarvestLevel(2)
    .setMaxStackSize(64)
	.addSubtype("DecorativeBlocks_114", "metatweaker:decorative_blocks/114")
	.addSubtype("DecorativeBlocks_115", "metatweaker:decorative_blocks/115")
	.addSubtype("DecorativeBlocks_116", "metatweaker:decorative_blocks/116")
	.addSubtype("DecorativeBlocks_117", "metatweaker:decorative_blocks/117")
	.addSubtype("DecorativeBlocks_118", "metatweaker:decorative_blocks/118")
	.addSubtype("DecorativeBlocks_119", "metatweaker:decorative_blocks/119")
	.addSubtype("DecorativeBlocks_120", "metatweaker:decorative_blocks/120")
	.addSubtype("DecorativeBlocks_121", "metatweaker:decorative_blocks/121")
	.addSubtype("DecorativeBlocks_122", "metatweaker:decorative_blocks/122")
	.addSubtype("DecorativeBlocks_123", "metatweaker:decorative_blocks/123")
    .register();





